QwtPlotMagnifier(3)

NAME
QwtPlotMagnifier - QwtPlotMagnifier provides zooming, by magnifying in steps.

SYNOPSIS

#include <qwt_plot_magnifier.h>

Inherits QwtMagnifier.

  Public Slots
virtual void rescale (double factor) override

  Public Member Functions
QwtPlotMagnifier (QWidget *)
virtual ~QwtPlotMagnifier ()
Destructor.
void setAxisEnabled (QwtAxisId, bool on)
En/Disable an axis.
bool isAxisEnabled (QwtAxisId) const
QWidget * canvas ()
Return observed plot canvas.
const QWidget * canvas () const
Return Observed plot canvas.
QwtPlot * plot ()
Return plot widget, containing the observed plot canvas.
const QwtPlot * plot () const
Return plot widget, containing the observed plot canvas.

  Additional Inherited Members

Detailed Description

QwtPlotMagnifier provides zooming, by magnifying in steps. Using QwtPlotMagnifier a plot can be zoomed in/out in steps using keys, the mouse wheel or moving a mouse button in vertical direction.

Together with QwtPlotZoomer and QwtPlotPanner it is possible to implement individual and powerful navigation of the plot canvas.

See also
    QwtPlotZoomer, QwtPlotPanner, QwtPlot

Definition at line 30 of file qwt_plot_magnifier.h.

Constructor & Destructor Documentation

  QwtPlotMagnifier::QwtPlotMagnifier (QWidget * canvas) [explicit]
Constructor

Parameters
    canvas Plot canvas to be magnified

Definition at line 30 of file qwt_plot_magnifier.cpp.

Member Function Documentation

  bool QwtPlotMagnifier::isAxisEnabled (QwtAxisId axisId) const
Test if an axis is enabled

Parameters
    axisId Axis

Returns
    True, if the axis is enabled

See also
    setAxisEnabled()

Definition at line 67 of file qwt_plot_magnifier.cpp.

  void QwtPlotMagnifier::rescale (double factor) [override], [virtual], [slot]
Zoom in/out the axes scales

Parameters
    factor A value < 1.0 zooms in, a value > 1.0 zooms out.

Definition at line 111 of file qwt_plot_magnifier.cpp.

  void QwtPlotMagnifier::setAxisEnabled (QwtAxisId axisId, bool on)

En/Disable an axis. Only Axes that are enabled will be zoomed. All other axes will remain unchanged.

Parameters
    axisId Axis
    on On/Off

See also
    isAxisEnabled()

Definition at line 53 of file qwt_plot_magnifier.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.